# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.2.4] - 2019-04-07
### Fixed
- Resolves a IPS 4.3 backwards compatibility issue on the Log Prune Settings page
- Resolves an incorrect redirect when updating the Log Prune Settings

## [1.2.3] - 2019-03-29
### Fixed
- Resolves the "Malformed kickbox validation response" error log issue (Indisposable will no longer attempt to validate incomplete registrations)
- Resolves a minor issue that causes the cache use counter to become inaccurate, especially on initial indexes

## [1.2.2] - 2019-03-23
### Fixed
- Resolves a backwards compatibility issue with 4.3.x
- Resolves an SQL strict mode error that may occur in some hosting environments when running the reindex task

## [1.2.1] - 2019-03-23
### Fixed
- Resolved a missing upgrade routine for 1.1.3 => 1.2.0

## [1.2.0] - 2019-03-22
### Added
- Added settings requesting (or forcing) existing members with disposable e-mails to change to a valid e-mail
- Logging for attempted disposable e-mail registrations

### Fixed
- Members table should link to the view action, not edit

## [1.1.3] - 2019-03-21
### Changed
- Improved error logging to help Kickbox identify API issues on larger communities

## [1.1.2] - 2019-03-19
### Fixed
- Fixes an issue with the MemberSync extension that was missed in the previous patch
- Adds some missing language strings for AdminCP permissions

## [1.1.1] - 2019-03-18
### Fixed
- Resolved an issue where the cached disposable members e-mail list might reset when a user updates their e-mail

## [1.1.0] - 2019-03-14
### Added
- Added MemberFilter support allowing you to exclude members with disposable e-mails from Bulk Emails
- Added MemberFilter support allowing you to apply Group Promotion rules for members with disposable e-mails
- Added a hardcoded local cache of 149 known valid e-mail domains to improve performance

### Changed
- "Reindex members" is now a background task
- The e-mail field on the Contact Us form now rejects disposable e-mails as well
- Members are now checked for disposable e-mails on login for Group Promotion support
- Increased the cache time for remote queries from 3 hours to 3 days

### Fixed
- Resolved a backwards compatibility issue with 4.3.x which prevented e-mails from being validated during registration


## [1.0.1] - 2019-03-08
### Fixed
- Resolved an 1S111/﻿1 error when running the Reindex Members task 001