//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class indisposable_hook_C_DispatcherFront extends _HOOK_CLASS_
{
    /**
     * Check if this member has been deactivated and redirect them to the reactivation module if so
     *
     * @return	void
     */
    public function init()
    {
	try
	{
	        \call_user_func_array( 'parent::init', \func_get_args() );
	
	        /* This controllers should always be accessible, no matter if the member is awaiting validation or needs to set up the email or name */
	        $legalControllers = array( 'privacy', 'contact', 'terms', 'embed', 'metatags' );
	
	        /* Do we need more info from the member or do they need to validate? */
	        if( \IPS\Member::loggedIn()->member_id and ( $this->controller !== 'language' ) and ( $this->controller !== 'theme' ) and ( $this->controller !== 'ajax' ) and !\in_array( $this->controller, $legalControllers ) )
	        {
	            if ( ( \IPS\Settings::i()->indisposable_member_action === 'force' ) and \IPS\Member::loggedIn()->isDisposable() and ( $this->controller !== 'register' ) and ( $this->controller !== 'login' ) and ( $this->controller !== 'redirect' ) )
	            {
	                \IPS\Output::i()->redirect( \IPS\Http\Url::internal( 'app=core&module=system&controller=register&do=disposableEmailSplash', 'front', 'register' ) );
	            }
	        }
	}
	catch ( \RuntimeException $e )
	{
		if ( method_exists( get_parent_class(), __FUNCTION__ ) )
		{
			return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
		}
		else
		{
			throw $e;
		}
	}
    }
}
