<?php


namespace IPS\indisposable\setup\upg_10008;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
    header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
    exit;
}

/**
 * 1.2.1 Upgrade Code
 */
class _Upgrade
{
    /**
     * ...
     *
     * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
     */
    public function step1()
    {
        if ( !\IPS\Db::i()->checkForTable( 'indisposable_logs' ) )
        {
            \IPS\Db::i()->createTable( array (
                'name' => 'indisposable_logs',
                'columns' =>
                    array (
                        'id' =>
                            array (
                                'name' => 'id',
                                'type' => 'BIGINT',
                                'length' => '20',
                                'unsigned' => true,
                                'zerofill' => false,
                                'binary' => false,
                                'allow_null' => false,
                                'default' => NULL,
                                'auto_increment' => true,
                                'comment' => 'ID Number',
                            ),
                        'email' =>
                            array (
                                'name' => 'email',
                                'type' => 'VARCHAR',
                                'length' => 255,
                                'decimals' => NULL,
                                'values' => NULL,
                                'allow_null' => false,
                                'default' => NULL,
                                'comment' => 'The e-mail address used',
                                'unsigned' => false,
                                'zerofill' => false,
                                'auto_increment' => false,
                                'binary' => false,
                            ),
                        'uagent' =>
                            array (
                                'name' => 'uagent',
                                'type' => 'VARCHAR',
                                'length' => 1500,
                                'decimals' => NULL,
                                'values' => NULL,
                                'allow_null' => true,
                                'default' => NULL,
                                'comment' => 'The requests user-agent',
                                'unsigned' => false,
                                'zerofill' => false,
                                'auto_increment' => false,
                                'binary' => false,
                            ),
                        'ip' =>
                            array (
                                'name' => 'ip',
                                'type' => 'VARCHAR',
                                'length' => 46,
                                'decimals' => NULL,
                                'values' => NULL,
                                'allow_null' => true,
                                'default' => NULL,
                                'comment' => 'IP address of the user',
                                'unsigned' => false,
                                'zerofill' => false,
                                'auto_increment' => false,
                                'binary' => false,
                            ),
                        'type' =>
                            array (
                                'name' => 'type',
                                'type' => 'VARCHAR',
                                'length' => 250,
                                'decimals' => NULL,
                                'values' => NULL,
                                'allow_null' => false,
                                'default' => 'registration',
                                'comment' => 'The type of the request',
                                'unsigned' => false,
                                'zerofill' => false,
                                'auto_increment' => false,
                                'binary' => false,
                            ),
                        'timestamp' =>
                            array (
                                'name' => 'timestamp',
                                'type' => 'INT',
                                'length' => 11,
                                'decimals' => NULL,
                                'values' => NULL,
                                'allow_null' => true,
                                'default' => NULL,
                                'comment' => 'Timestamp of the log',
                                'unsigned' => true,
                                'zerofill' => false,
                                'auto_increment' => false,
                                'binary' => false,
                            ),
                        'member_id' =>
                            array (
                                'name' => 'member_id',
                                'type' => 'BIGINT',
                                'length' => 20,
                                'decimals' => NULL,
                                'values' =>
                                    array (
                                    ),
                                'allow_null' => true,
                                'default' => NULL,
                                'comment' => 'Member making the request, if applicable',
                                'unsigned' => true,
                                'zerofill' => false,
                                'auto_increment' => false,
                                'binary' => false,
                            ),
                    ),
                'indexes' =>
                    array (
                        'PRIMARY' =>
                            array (
                                'type' => 'primary',
                                'name' => 'PRIMARY',
                                'columns' =>
                                    array (
                                        0 => 'id',
                                    ),
                                'length' =>
                                    array (
                                        0 => NULL,
                                    ),
                            ),
                    ),
            ) );
        }

        return TRUE;
    }

    // You can create as many additional methods (step2, step3, etc.) as is necessary.
    // Each step will be executed in a new HTTP request
}